<?xml version="1.0" encoding="utf-8" ?>
<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2" assembly="Domain" namespace="Domain">
  <class name="Domain.Host, Domain" table="tb_Hosts">
    <id name="ID" column="ID" type="int" unsaved-value="0">
      <generator class="native" />
    </id>
    <property name="HostNumber" column="HostNumber" type="string" />
    <property name="RoomNumber" column="RoomNumber" type="string" />
    <property name="MAC" column="MAC" type="string"  />
    <property name="ServerIP" column="ServerIP" type="string"  />
    <property name="ServerPort" column="ServerPort" type="int"  />
    <property name="IPType" column="IPType" type="int" />
    <property name="IP" column="IP" type="string"  />
    <property name="Port" column="Port" type="int"  />
    <property name="LanIP" column="LanIP" type="string"  />
    <property name="LanPort" column="LanPort" type="int"  />
    <property name="SubnetMask" column="SubnetMask" type="string"  />
    <property name="Gateway" column="Gateway" type="string"  />
    <property name="DNS" column="DNS" type="string"  />
    <many-to-one name="Group" column="GroupID" not-found="ignore" cascade="none" lazy="false" foreign-key="FK_tb_Hosts_tb_Groups" />
    <many-to-one name="RoomType" column="RoomTypeID" not-found="ignore" cascade="none" foreign-key="FK_tb_Hosts_tb_RoomType" />
    <property name="Status" column="Status" type="bool"  />
    <property name="Version" column="Version" type="string"  />
    <property name="ConfigVersion" column="ConfigVersion" type="string" />
    <property name="Remark" column="Remark" type="string"  />
    <property name="RegisterDate" column="RegisterDate" type="DateTime"  />
    <many-to-one name="RoomStatus" class="RoomStatus" column="RoomStatusID" not-found="ignore" cascade="none" foreign-key="FK_tb_Hosts_tb_RoomStatus" />
    <many-to-one name="RoomCard" class="RoomCard" column="RoomCardID" not-found="ignore" update="false"  cascade="none" foreign-key="FK_tb_Hosts_tb_RoomCard" />
    <!--<property name="SOS" column="SOS" type="bool" />
    <property name="Clear" column="Clear" type="bool" />
    <property name="DND" column="DND" type="bool" />
    <property name="RequestService" column="RequestService" type="bool" />
    <property name="RequestCheckOut" column="RequestCheckOut" type="bool" />
    <property name="CurrentTemp" column="CurrentTemp" type="int" />
    <property name="SettingTemp" column="SettingTemp" type="int" />
    <property name="Speed" column="Speed" type="int" />
    <property name="RoomStatusAidIDs" column="RoomStatusAidIDs" type="string" />
    <property name="IsConnectingRoom" column="IsConnectingRoom" type="bool" />
    <property name="ConnectingRooms" column="ConnectingRooms" type="string" />-->
    <property name="DoorLockStatus" column="DoorLockStatus" type="bool" />
    <property name="DoorLockStatusUpdateTime" column="DoorLockStatusUpdateTime" type="DateTime" />
    <property name="SafeStatus" column="SafeStatus" type="int" />
    <property name="HostTemp" column="HostTemp" type="int" />
    <many-to-one name="SysHotel" class="SysHotel" column="HotelID" not-found="ignore" cascade="none" foreign-key="FK_tb_Hosts_tb_Sys_Hotels" />
    <property name="PowerSupply" column="PowerSupply" type="bool" />
    <property name="AuthorizedHours" column="AuthorizedHours" type="int" />
    <property name="LockStatus" column="LockStatus" type="int" />
    <property name="LockVoltage" column="LockVoltage" type="float" />
    <property name="ProductKey" column="ProductKey" type="string" />
    <property name="DeviceName" column="DeviceName" type="string" />
    <property name="DeviceSecret" column="DeviceSecret" type="string" />
    <property name="IotId" column="IotId" type="string" />
    <property name="IsPublish" column="IsPublish" type="bool" />
    <property name="HostSecret" column="HostSecret" type="string" />
    <property name="RokidWebhookUrl" column="RokidWebhookUrl" type="string" />
    <property name="XiaoDuCUID" column="XiaoDuCUID" type="string" />
    <property name="TCLCUID" column="TCLCUID" type="string" />
    <property name="TCLSkillID" column="TCLSkillID" type="string" />
    <property name="HuaWeiCUID" column="HuaWeiCUID" type="string" />
    <property name="TianMaoCUID" column="TianMaoCUID" type="string" />
    <property name="IsSyncRoomNumber" column="IsSyncRoomNumber" type="bool" />
    <property name="IsAutoUpdate" column="IsAutoUpdate" type="bool" />
    <property name="MACBindDate" column="MACBindDate" type="DateTime"  />
    <property name="ExpireTime" column="ExpireTime" type="DateTime"  />
    <property name="RunTime" column="RunTime" type="DateTime"  />
    <property name="SetExpireTime" column="SetExpireTime" type="DateTime"  />
    <property name="IsLock" column="IsLock" type="bool" />
    <property name="Season" column="Season" type="string"  />
    <property name="Last_Modified_Time" column="Last_Modified_Time" type="DateTime"  />
    <property name="XiaoMiCUID" column="XiaoMiCUID" type="string" />
    <property name="WXValidate" column="WXValidate" type="string"  />
    <property name="Model" column="Model" type="string" />
    <property name="LauncherVersion" column="LauncherVersion" type="string"  />
    <property name="UpgradeStatus" column="UpgradeStatus" type="int"  />
    <property name="UpgradeTime" column="UpgradeTime" type="DateTime"  />
    <property name="FrameNo" column="FrameNo" type="int"  />
    <property name="FrameNoTime" column="FrameNoTime" type="DateTime"  />
    <property name="IsDeleted" column="IsDeleted" type="bool" />
    <property name="DisableStartTime" column="DisableStartTime" type="string"  />
    <property name="DisableEndTime" column="DisableEndTime" type="string"  />
    <property name="IsWelcomeDisableTime" column="IsWelcomeDisableTime" type="bool"  />
    <property name="FCS_locationUUID" column="FCS_locationUUID" type="string"  />
    <property name="HiWeiCUID" column="HiWeiCUID" type="string"  />
  </class>
</hibernate-mapping>
